package com.neusoft.smart.pos.report.constants;

import com.neusoft.smart.pos.framework.constants.CommonCode;

/**
 * @author 李国军
 * @date 2020-09-08 10：43
 * @description 业务错误信息使用枚举类
 */
public enum ReportErrorCode implements CommonCode {

    INSUFFICIENT_AUTHORITY_ERROR("21001", "权限不足"),
    QUERY_ORGANIZATION_GROUP_ERROR("21002", "查询组织群组失败"),
    USER_NOT_LOGGED_IN("21003", "用户未登录，请登录！"),
    UNKNOWN("21004", "未知错误")
    ;

    private String code;
    private String message;

    ReportErrorCode(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

}
